#include<bits/stdc++.h>
using namespace std;
bool smaller(int x);
int find_number(int MAX){
	int l = 0, r = MAX;
	while(l < r - 1){
		int mid = (l + r) / 2;
		bool fl = smaller(mid);
		if(fl == true){
			r = mid;
		}else{
			l = mid;
		}
	}
	return l;
}
